package com.sz.admin.monitor.enums;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * ClassName: HKPTZPreEnum
 * Package: com.sz.admin.monitor.enums
 * Description:
 */
@AllArgsConstructor
@NoArgsConstructor
public enum HKPTZPreEnum {
    SET_PRESET("8", "设置预置位"),
    CLE_PRESET("9","清除预置位"),
    GOTO_PRESET("39","转到预置位");
    private String value;
    private String description;

    public static HKPTZPreEnum fromValue(String value) {
        for (HKPTZPreEnum item : values()) {
            if (item.value.equals(value)) {
                return item;
            }
        }
        throw new IllegalArgumentException("Invalid value: " + value);
    }
    public String getValue() {
        return value;
    }
    public String getDescription() {
        return description;
    }
    public void setDescription(String description) {
        this.description = description;
    }
    public void setValue(String value) {
        this.value = value;
    }
}
